Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454185 - vino-server doesn't start on login
Summary: vino-server doesn't start on login
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vino
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-06 06:02 UTC by Jonathan Kamens
Modified: 2013-03-06 03:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-01 04:58:20 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2008-07-06 06:02:22 UTC
System > Preferences > Internet and Network > Remote Desktop claims that remote
desktop is enabled, but vino-server doesn't start when I log in.

I have all current packages from Rawhide, including vino-2.22.2-1.fc9.

There is nothing in ~/.xsession-errors explaining why it doesn't start.

When I run it by hand, I can then successfully connect to my desktop remotely.

Comment 1 Stewart Adam 2008-07-18 16:20:04 UTC
I can confirm both the issue and the workaround, manually running
/usr/libexec/vino-server solves the problem.

rpm -ql reveals that vino seems to start itself using bonobo .server file, but
the same files are present in the fc9 and fc10 versions of vino. Maybe this is a
bonobo issue?

Comment 2 Matthias Clasen 2008-07-25 16:38:28 UTC
Should be fixed in tomorrows rawhide.

Comment 3 Jonathan Kamens 2008-07-29 18:28:21 UTC
I have vino-2.23.5-2.fc10, as well as all other packages current from rawhide,
and vino didn't start on login, right after a clean reboot of the machine.


Comment 4 Matthias Clasen 2008-08-01 04:58:20 UTC
Please  try with 2.23.5-3.fc10 tomorrow. My build had failed...


Note You need to log in before you can comment on or make changes to this bug.